# Generated by Django 3.2.2 on 2021-05-15 07:29

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import user_api.models
import youthpod_api.validators


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='CustomUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('email', models.EmailField(max_length=255, unique=True)),
                ('request_id', models.CharField(blank=True, max_length=16, null=True, unique=True, validators=[youthpod_api.validators.validate_alphabet_number_underscore, django.core.validators.MinLengthValidator(8)])),
                ('is_active', models.BooleanField(default=True)),
                ('is_staff', models.BooleanField(default=False)),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='profile', serialize=False, to='user_api.customuser')),
                ('username', models.CharField(max_length=16)),
                ('img', models.ImageField(blank=True, max_length=255, null=True, upload_to=user_api.models.img_upload_to, validators=[django.core.validators.validate_image_file_extension, youthpod_api.validators.validate_image_size])),
                ('band_id', models.CharField(max_length=50, null=True)),
            ],
            options={
                'ordering': ['username'],
            },
        ),
    ]
